# eric6.WebBrowser.Passwords.PasswordsDialog

Module implementing a dialog to show all saved logins.

### Global Attributes

None

### Classes

PasswordsDialog | Class implementing a dialog to show all saved logins.

### Functions

None

## PasswordsDialog

Class implementing a dialog to show all saved logins.

### Derived from

QDialog, Ui_PasswordsDialog

### Class Attributes

None

### Class Methods

None

### Methods

PasswordsDialog | Constructor
__calculateHeaderSizes | Private method to calculate the section sizes of the horizontal header.
on_passwordsButton_clicked | Private slot to switch the password display mode.

### Static Methods

None

#### PasswordsDialog (Constructor)

PasswordsDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### PasswordsDialog.__calculateHeaderSizes

__calculateHeaderSizes()

Private method to calculate the section sizes of the horizontal header.

#### PasswordsDialog.on_passwordsButton_clicked

on_passwordsButton_clicked()

Private slot to switch the password display mode.

Up